Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class cmdReceipt.FiscalReceipt.InvoiceClientInfo

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReceipt
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReceipt.FiscalReceipt.InvoiceClientInfo

Enclosing class:
  cmdReceipt.FiscalReceipt

    public static class cmdReceipt.FiscalReceipt.InvoiceClientInfo
    extends cmdReceipt

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdReceipt.FiscalReceipt.InvoiceClientInfo.TypeTAXN` |

  ## Nested classes/interfaces inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReceipt

  `cmdReceipt.AlignmentType, cmdReceipt.BarcdeType, cmdReceipt.FiscalReceipt, cmdReceipt.FiscalSale, cmdReceipt.FiscalTransaction, cmdReceipt.NonFiscalReceipt, cmdReceipt.PaymentType, cmdReceipt.SeparatingLine`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `InvoiceClientInfo​(cmdReceipt.FiscalReceipt.InvoiceClientInfo.TypeTAXN typeTaxNum, java.lang.String TAXN, java.lang.String VATN)` |
  `InvoiceClientInfo​(cmdReceipt.FiscalReceipt.InvoiceClientInfo.TypeTAXN typeTAXN, java.lang.String TAXN, java.lang.String VATN, java.lang.String seller, java.lang.String receiver, java.lang.String buyer, java.lang.String address1, java.lang.String address2)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAddress1()` |
  `java.lang.String` | `getAddress2()` |
  `java.lang.String` | `getBuyer()` |
  `java.lang.String` | `getReceiver()` |
  `java.lang.String` | `getSeller()` |
  `java.lang.String` | `getTAXnum()` |
  `cmdReceipt.FiscalReceipt.InvoiceClientInfo.TypeTAXN` | `getTypeTaxNum()` |
  `java.lang.String` | `getVATnum()` |
  `boolean[]` | `isValid()` |
  `void` | `saveClientInfo()` | Enter and print invoice data
  `void` | `saveClientInfo​(cmdReceipt.FiscalReceipt.InvoiceClientInfo.TypeTAXN typeTAXN, java.lang.String TAXN, java.lang.String VATN)` | Enter and print invoice data
  `void` | `saveClientInfo​(cmdReceipt.FiscalReceipt.InvoiceClientInfo.TypeTAXN TypeTaxN, java.lang.String TAXN, java.lang.String VATN, java.lang.String seller, java.lang.String receiver, java.lang.String buyer, java.lang.String address1, java.lang.String address2)` | Enter and print invoice data
  `void` | `saveClientInfo​(java.lang.String bulstat, java.lang.String seller, java.lang.String receiver, java.lang.String client, java.lang.String clientTaxNo, java.lang.String clientAddress)` |
  `void` | `setAddress1​(java.lang.String address1)` |
  `void` | `setAddress2​(java.lang.String address2)` |
  `void` | `setBuyer​(java.lang.String buyer)` |
  `void` | `setReceiver​(java.lang.String receiver)` |
  `void` | `setSeller​(java.lang.String seller)` |
  `void` | `setTAXnum​(java.lang.String TAXnum)` |
  `void` | `setTypeTaxNum​(cmdReceipt.FiscalReceipt.InvoiceClientInfo.TypeTAXN typeTaxNum)` |
  `void` | `setVATnum​(java.lang.String VATnum)` |
  `boolean[]` | `ValidateClientInfo​(cmdReceipt.FiscalReceipt.InvoiceClientInfo.TypeTAXN typeTAXN, java.lang.String TAXN, java.lang.String VATN, java.lang.String seller, java.lang.String receiver, java.lang.String buyer, java.lang.String address1, java.lang.String address2)` |

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReceipt

  `cashInCashOut, drawerKickOut, isStornoReceiptOpen, paperCutting, paperFeed, printBarcode, printFreeText`

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InvoiceClientInfo

    public InvoiceClientInfo​(cmdReceipt.FiscalReceipt.InvoiceClientInfo.TypeTAXN typeTaxNum, java.lang.String TAXN, java.lang.String VATN)

  - ### InvoiceClientInfo

    public InvoiceClientInfo​(cmdReceipt.FiscalReceipt.InvoiceClientInfo.TypeTAXN typeTAXN, java.lang.String TAXN, java.lang.String VATN, java.lang.String seller, java.lang.String receiver, java.lang.String buyer, java.lang.String address1, java.lang.String address2)

- ## Method Details

  - ### getTypeTaxNum

    public cmdReceipt.FiscalReceipt.InvoiceClientInfo.TypeTAXN getTypeTaxNum()

  - ### setTypeTaxNum

    public void setTypeTaxNum​(cmdReceipt.FiscalReceipt.InvoiceClientInfo.TypeTAXN typeTaxNum)

  - ### isValid

    public boolean[] isValid()
    Returns:
      res[0] Validation of EGN, BULSTAT , or LNCH * res[1] Validation of VATnum * res[2] Validation of Seller * res[3] Validation of Receiver * res[4] Validation of Buyer * res[5] Validation of Address1 * res[6] Validation of Address2

  - ### ValidateClientInfo

    public boolean[] ValidateClientInfo​(cmdReceipt.FiscalReceipt.InvoiceClientInfo.TypeTAXN typeTAXN, java.lang.String TAXN, java.lang.String VATN, java.lang.String seller, java.lang.String receiver, java.lang.String buyer, java.lang.String address1, java.lang.String address2)

  - ### saveClientInfo

    public void saveClientInfo() throws java.lang.Exception
    Enter and print invoice data
    Throws:
      `java.lang.Exception`

  - ### saveClientInfo

    public void saveClientInfo​(cmdReceipt.FiscalReceipt.InvoiceClientInfo.TypeTAXN TypeTaxN, java.lang.String TAXN, java.lang.String VATN, java.lang.String seller, java.lang.String receiver, java.lang.String buyer, java.lang.String address1, java.lang.String address2) throws java.lang.Exception
    Enter and print invoice data
    Throws:
      `java.lang.Exception`

  - ### saveClientInfo

    public void saveClientInfo​(cmdReceipt.FiscalReceipt.InvoiceClientInfo.TypeTAXN typeTAXN, java.lang.String TAXN, java.lang.String VATN) throws java.lang.Exception
    Enter and print invoice data
    Throws:
      `java.lang.Exception`

  - ### getTAXnum

    public java.lang.String getTAXnum()

  - ### setTAXnum

    public void setTAXnum​(java.lang.String TAXnum)

  - ### getVATnum

    public java.lang.String getVATnum()

  - ### setVATnum

    public void setVATnum​(java.lang.String VATnum)

  - ### getSeller

    public java.lang.String getSeller()

  - ### setSeller

    public void setSeller​(java.lang.String seller)

  - ### getReceiver

    public java.lang.String getReceiver()

  - ### setReceiver

    public void setReceiver​(java.lang.String receiver)

  - ### getBuyer

    public java.lang.String getBuyer()

  - ### setBuyer

    public void setBuyer​(java.lang.String buyer)

  - ### getAddress1

    public java.lang.String getAddress1()

  - ### setAddress1

    public void setAddress1​(java.lang.String address1)

  - ### getAddress2

    public java.lang.String getAddress2()

  - ### setAddress2

    public void setAddress2​(java.lang.String address2)

  - ### saveClientInfo

    public void saveClientInfo​(java.lang.String bulstat, java.lang.String seller, java.lang.String receiver, java.lang.String client, java.lang.String clientTaxNo, java.lang.String clientAddress) throws java.lang.Exception
    Throws:
      `java.lang.Exception`